## com.arsdigita.cms.docmgr.ui.tree
Class DocFolderAppCellRenderer

    java.lang.Object
      com.arsdigita.cms.docmgr.ui.tree.DocFolderAppCellRenderer

All Implemented Interfaces:
  com.arsdigita.bebop.tree.TreeCellRenderer

public class DocFolderAppCellRenderer
extends Object
implements com.arsdigita.bebop.tree.TreeCellRenderer

Field Summary

Fields inherited from interface com.arsdigita.bebop.tree.TreeCellRenderer
`versionId`

Constructor Summary
`DocFolderAppCellRenderer()`

Method Summary
`com.arsdigita.bebop.Component` `getComponent(com.arsdigita.bebop.Tree tree, com.arsdigita.bebop.PageState state, Object value, boolean isSelected, boolean isExpanded, boolean isLeaf, Object key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocFolderAppCellRenderer

    public DocFolderAppCellRenderer()

Method Detail

### getComponent

    public com.arsdigita.bebop.Component getComponent(com.arsdigita.bebop.Tree tree,
                                                      com.arsdigita.bebop.PageState state,
                                                      Object value,
                                                      boolean isSelected,
                                                      boolean isExpanded,
                                                      boolean isLeaf,
                                                      Object key)

  Specified by:
    `getComponent` in interface `com.arsdigita.bebop.tree.TreeCellRenderer`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC